Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063826 - Maven repo: Missing artifacts when building Quickstarts
Summary: Maven repo: Missing artifacts when building Quickstarts
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal Packaging
Version: 6.1.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 6.1.1
Assignee: Peter Palaga
QA Contact: Tomas Kyjovsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 13:40 UTC by Filip Kiss
Modified: 2017-12-08 15:06 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Filip Kiss 2014-02-11 13:40:11 UTC
Description of problem:

There is missing artifact when building QS: org.richfaces:richfaces-bom:pom:4.3.4.Final-redhat-1

Tested QS:
https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EPP/view/JPP%20prod/view/JPP-6/view/Tools/job/jpp-maven-repo-6.1.1/16/

Comment 2 hfnukal@redhat.com 2014-02-11 14:58:22 UTC
WFK 2.4.0 is required. It containg necessary libraries.

http://maven.repository.redhat.com/techpreview/wfk2/2.4.0/maven-repository/org/richfaces/richfaces-bom/

Comment 3 Tomas Kyjovsky 2014-02-11 15:23:34 UTC
Filip, check if you have WFK 2.4.0 repo added and re-test please.

Comment 4 Filip Kiss 2014-02-12 08:55:59 UTC
Hmm, previously I used jboss-wfk-2.4.0_WFK2-362-maven-repository. Now I tested it with jboss-wfk-2.4.0-maven-repository. There are still some missing artifacts.

org.jboss:jboss-parent:pom:11-redhat-1 is missing when building:
cdi-jsf-portlet
jsf2-hello-world-portlet
jsf2-rf4-hello-world-portlet


org.gatein.api:gatein-api:jar:1.0.1.Final-redhat-1 is missing when building:
cdi-scopes portlet
navigation-api-portlet
social-portlets

Comment 7 hfnukal@redhat.com 2014-02-13 16:08:16 UTC
gatein-api is solved by adding JPP 6.1.0 maven repo
jboss-parent is solved by adding EAP 6.2.0 maven repo

Comment 8 Tomas Kyjovsky 2014-02-13 16:29:16 UTC
I verified that all quickstarts are buildable when EAP 6.2.0 repo is included.

"Application Platform 6.2.0 Maven Repository" is now listed as required in all README files.

Comment 9 PnT Account Manager 2017-12-08 15:06:13 UTC
Employee 'fkiss@redhat.com' has left the company.


Note You need to log in before you can comment on or make changes to this bug.